/*
** -------------------------------------------------------------------------------------------------
** Rally 7
** -------------------------------------------------------------------------------------------------
**
** $Workfile: RBRTestPlugin.cpp $
** $Archive: /Rally_7/SourceMaterial/CodeBase/Game/Pc/Plugin/RBRTestPlugin/RBRTestPlugin.cpp $
**
** $Author: Pdervall $
** $Date: 10/28/04 1:34p $
** $Revision: 2 $
**
*/

/* includes --------------------------------------------------------------------------------------*/

#include "stdafx.h"
#include "TestPlugin.h"

/* macros ----------------------------------------------------------------------------------------*/

/* types -----------------------------------------------------------------------------------------*/

/// Forward declare the game interface class
class IRBRGame;

/* externs ---------------------------------------------------------------------------------------*/

/* prototypes ------------------------------------------------------------------------------------*/

/* data ------------------------------------------------------------------------------------------*/

/* code ------------------------------------------------------------------------------------------*/

/*
====================================================================================================
====================================================================================================
====================================================================================================
--
-- SECTION: Exported DLL functions
--
====================================================================================================
====================================================================================================
====================================================================================================
*/

//------------------------------------------------------------------------------------------------//
/**
 * This is the standard DllMain function required for windows DLL.
 */
BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    return TRUE;
}

//------------------------------------------------------------------------------------------------//
/**
 * RBR_CreatePlugin is the one neccessary exported function needed for plugin DLL's for 
 * RBR. It's sole purpose is to provide an object implementing the plugin interface
 * for use inside the game. The parameter to this function is an interface to the exported
 * functions inside the game. In our example, we keep the pointer to the game inside the 
 * plugin class.
 *
 * Memory management of the created plugin is handled from inside the game. Deletion
 * upon plugin exit is automatic. Don't return an adress to a statically allocated
 * plugin, as that would cause the game to crash on exit. Dont return NULL.
 *
 * Do not try to delete the game interface pointer passed to this function. 
 *
 */
IPlugin* RBR_CreatePlugin	( IRBRGame* pGame )
{
	// Create a new plugin, passing the game interface as a parameter.
	return new CTestPlugin( pGame );
}


/*
 * $History: RBRTestPlugin.cpp $
 * 
 * *****************  Version 2  *****************
 * User: Pdervall     Date: 10/28/04   Time: 1:34p
 * Updated in $/Rally_7/SourceMaterial/CodeBase/Game/Pc/Plugin/RBRTestPlugin
 */


